export const themes = {
  'tokyonight-day': {
    name: 'Tokyo Night (Day)',
    colors: {
      text: '#3760bf',
      subtext: '#5c5f77',
      bg: '#eff1f5',
    },
  },
  'tokyonight-night': {
    name: 'Tokyo Night (Night)',
    colors: {
      text: '#c0caf5',
      subtext: '#a9b1d6',
      bg: '#1a1b26',
    },
  },
  'catppuccin-latte': {
    name: 'Catppuccin (Latte)',
    colors: {
      text: '#4c4f69',
      subtext: '#5c5f77',
      bg: '#eff1f5',
    },
  },
  'catppuccin-frappe': {
    name: 'Catppuccin (Frappe)',
    colors: {
      text: '#c6d0f5',
      subtext: '#b5bfe2',
      bg: '#303446',
    },
  },
  'catppuccin-macchiato': {
    name: 'Catppuccin (Macchiato)',
    colors: {
      text: '#cad3f5',
      subtext: '#b8c0e0',
      bg: '#24273a',
    },
  },
  'catppuccin-mocha': {
    name: 'Catppuccin (Mocha)',
    colors: {
      text: '#cdd6f4',
      subtext: '#bac2de',
      bg: '#1e1e2e',
    },
  },
}

export const themesWithoutName = Object.fromEntries(
  Object.entries(themes).map(([key, { name, ...rest }]) => [key, rest]),
)
